/* wmputcat.c (emx+gcc) -- Copyright (c) 1987-1993 by Eberhard Mattes */

#include <sys/winmgr.h>
#include "winmgr2.h"

void wm_putc_at (wm_handle wh, int x, int y, char c)
{
  int mx, my;

  if (x >= 0 && x < wh->width && y >= 0 && y < wh->height)
    {
      mx = x + wh->ax;
      my = y + wh->ay;
      if (wh->display)
        {
          if (wh->visible || MASK (wh, mx, my))
            _wm_putc2 (c, x+wh->x0, y+wh->y0, wh->wattr);
        }
      else
        wh->update_req = TRUE;
      _wm_store1 (wh, mx, my, c, wh->wattr);
    }
  _wm_cursor1 ();
}
